Net::Server::INET(3)

NAME
Net::Server::INET - Net::Server personality

SYNOPSIS
    use base qw(Net::Server::INET);

    sub process_request {
        #...code...
    }

    Net::Server::INET->run();

DESCRIPTION
Please read the pod on Net::Server first. This module is a personality, or extension, or sub class, of the Net::Server module.

This personality is intended for use with inetd. It offers no methods beyond the Net::Server base class. This module operates by overriding the pre_bind, bind, accept, and post_accept methods to let all socket processing to be done by inetd.

CONFIGURATION FILE
See Net::Server.

PROCESS FLOW
See Net::Server

HOOKS
There are no additional hooks in Net::Server::INET.

TO DO
See Net::Server

AUTHOR
Paul T. Seamons paul@seamons.com

SEE ALSO
Please see also Net::Server::Fork, Net::Server::INET, Net::Server::PreFork, Net::Server::MultiType, Net::Server::Single